Replace gear profile links for an integration set.
curl --request PUT \
--url https://api.nebyoulous.space/integration-sets/{id}/gear-profiles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"links": [
{
"gearProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPrimary": true
}
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
links: [{gearProfileId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', isPrimary: true}]
})
};
fetch('https://api.nebyoulous.space/integration-sets/{id}/gear-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/integration-sets/{id}/gear-profiles"
payload = { "links": [
{
"gearProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPrimary": True
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"links": [
{
"integrationSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gearProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPrimary": true,
"gearProfile": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>",
"members": [
{
"gearProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gearItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sortOrder": 0,
"role": "<string>",
"gearItem": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "CAMERA",
"manufacturer": "<string>",
"model": "<string>",
"displayName": "<string>",
"spec": "<unknown>",
"notes": "<string>",
"archivedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}
]
}
}
]
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Integration sets
Replace gear profile links for an integration set.
PUT
/
integration-sets
/
{id}
/
gear-profiles
Replace gear profile links for an integration set.
curl --request PUT \
--url https://api.nebyoulous.space/integration-sets/{id}/gear-profiles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"links": [
{
"gearProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPrimary": true
}
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
links: [{gearProfileId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', isPrimary: true}]
})
};
fetch('https://api.nebyoulous.space/integration-sets/{id}/gear-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/integration-sets/{id}/gear-profiles"
payload = { "links": [
{
"gearProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPrimary": True
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"links": [
{
"integrationSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gearProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPrimary": true,
"gearProfile": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>",
"members": [
{
"gearProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gearItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sortOrder": 0,
"role": "<string>",
"gearItem": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "CAMERA",
"manufacturer": "<string>",
"model": "<string>",
"displayName": "<string>",
"spec": "<unknown>",
"notes": "<string>",
"archivedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}
]
}
}
]
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Authorizations
An access token issued by a Nebyoulous sign-in: the web session, nebyoulous login, or an MCP OAuth grant.
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Maximum array length:
50Show child attributes
Show child attributes
Response
Default Response
Show child attributes
Show child attributes